Bug 1012802 - Parameter --os-boot-dev does not exist in rhevm-shell any more.
Parameter --os-boot-dev does not exist in rhevm-shell any more.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.5.0
All All
unspecified Severity medium
: ---
: ---
Assigned To: rhev-docs@redhat.com
Lucy Bopf
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 03:38 EDT by Roman Hodain
Modified: 2015-02-15 18:47 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-15 18:47:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vm-os-boot command example (93.11 KB, image/png)
2014-10-14 05:15 EDT, David Ryan
no flags Details

  None (edit)
Description Roman Hodain 2013-09-27 03:38:50 EDT
Description of problem:
Parameter --os-boot-dev that is type "string" has been replaced by parameter --os-boot that is a collection: Example use:

   # update vm Win7 --os-boot boot.dev=network,boot.dev=cdrom

This change is not included in the latest documentation


Version-Release number of selected component (if applicable):

Red Hat Enterprise Virtualization 3.2
Command Line Shell Guide
A Guide for Installing and Using the Command Line Shell for Red Hat Enterprise Virtualization
Edition 1
Comment 5 David Ryan 2014-10-03 03:11:56 EDT
Roman - does the same apply to the --vm-os-boot-dev parameter? For example, starting a VM might have been:

[RHEVM shell (connected)]# action vm start --vm-os-boot-dev cdrom

Is this now:

[RHEVM shell (connected)]# action vm start --vm-os-boot cdrom
Comment 6 David Ryan 2014-10-14 05:15:24 EDT
Created attachment 946771 [details]
vm-os-boot command example
Comment 9 Lucy Bopf 2014-10-22 07:54:05 EDT
Reviewed for docs QE.

All instances of 'os-boot-dev' have been changed to 'os-boot'. All instances of 'vm-os-boot-dev' have been changed to 'vm-os-boot'. The 'type' for these parameters has been changed from 'string' to 'collection'.

VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.